# WOK
TKWOK
WOKTools

# WOKTools_EnvValue Class Reference

`#include <WOKTools_EnvValue.hxx>`

Inheritance diagram for WOKTools_EnvValue:

[legend]

## Public Member Functions

Standard_EXPORT | WOKTools_EnvValue (const Handle(TCollection_HAsciiString)&avarname, const Handle(TCollection_HAsciiString)&avalue)
| Creates an EnvValue to Set in Environment .
Standard_EXPORT | WOKTools_EnvValue (const Handle(TCollection_HAsciiString)&avarname)
| Creates an EnvValue to UnSet Environment .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetValue (const Handle(TCollection_HAsciiString)&avalue)
Standard_EXPORT Handle_TCollection_HAsciiString | Value () const
Standard_EXPORT Standard_Boolean | ToSet () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | myflag
Handle_TCollection_HAsciiString | myname
Handle_TCollection_HAsciiString | myvalue

## Constructor & Destructor Documentation

Standard_EXPORT WOKTools_EnvValue::WOKTools_EnvValue | ( | const Handle(TCollection_HAsciiString)& | avarname,
|  | const Handle(TCollection_HAsciiString)& | avalue
| ) |

Standard_EXPORT WOKTools_EnvValue::WOKTools_EnvValue | ( | const Handle(TCollection_HAsciiString)& | avarname | ) |

## Member Function Documentation

Standard_EXPORT const WOKTools_EnvValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from WOKTools_ReturnValue.

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_EnvValue::Name | ( |  | ) | const

Standard_EXPORT void WOKTools_EnvValue::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKTools_EnvValue::SetValue | ( | const Handle(TCollection_HAsciiString)& | avalue | ) |

Standard_EXPORT Standard_Boolean WOKTools_EnvValue::ToSet | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKTools_EnvValue::Value | ( |  | ) | const

## Field Documentation

Standard_Boolean WOKTools_EnvValue::myflag `[private]`

Handle_TCollection_HAsciiString WOKTools_EnvValue::myname `[private]`

Handle_TCollection_HAsciiString WOKTools_EnvValue::myvalue `[private]`

The documentation for this class was generated from the following file:

- WOKTools_EnvValue.hxx